> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Security Policies

> Lists security policies.

`Unary` · [`Security`](https://ona.com/docs/api-reference/generated/security/overview)

Lists security policies.

Use this method to:

* View all security policies in an organization
* Audit configured security controls

### Examples

* List organization policies:

  Shows security policies with pagination.

  ```yaml theme={null}
  filter:
    organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  pagination:
    pageSize: 20
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.SecurityService/ListSecurityPolicies
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.SecurityService/ListSecurityPolicies" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "pagination": {
    "pageSize": 1
  }
}'
```

```python Python theme={null}
import gitpod.v1.pagination_pb2 as pagination_pb2
import gitpod.v1.security_pb2 as security_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = security_pb2.ListSecurityPoliciesRequest(
    pagination=pagination_pb2.PaginationRequest(
        page_size=1,
    ),
)
response = ona.services.security.list_security_policies(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { ListSecurityPoliciesRequestSchema } from "@gitpod/sdk/gitpod/v1/security_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(ListSecurityPoliciesRequestSchema, {
    pagination: {
      pageSize: 1,
    },
  });
  const response = await ona.services.security.listSecurityPolicies(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.ListSecurityPoliciesRequest{
		Pagination: &gitpodpb.PaginationRequest{
			PageSize: 1,
		},
	})
	response, err := ona.Services.Security.ListSecurityPolicies(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "pagination": {
    "pageSize": 1
  }
}
```

## Request

`gitpod.v1.ListSecurityPoliciesRequest`

| Field | Type | Required | Description |
| - | - | - | - |
| `pagination` | [PaginationRequest](#type-gitpod-v1-pagination-request) | No | |
| `filter` | [Filter](#type-gitpod-v1-list-security-policies-request-filter) | No | |

## Response

`gitpod.v1.ListSecurityPoliciesResponse`

| Field | Type | Required | Description |
| - | - | - | - |
| `pagination` | [PaginationResponse](#type-gitpod-v1-pagination-response) | No | |
| `securityPolicies` | array of [SecurityPolicy](#type-gitpod-v1-security-policy) | No | |

## Related types

> [accordion] Filter
>
> `gitpod.v1.ListSecurityPoliciesRequest.Filter`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `organizationId` | string | No | Constraints: `string.uuid=true`. |
> | `securityPolicyIds` | array of string | No | Constraints: `repeated.items.string.uuid=true, repeated.max_items=25, repeated.min_items=0`. |
> | `search` | string | No | Constraints: `string.max_len=256`. |

> [accordion] PaginationRequest
>
> `gitpod.v1.PaginationRequest`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `pageSize` | integer | No | Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. Constraints: `int32.gte=0, int32.lte=100`. |
> | `token` | string | No | Token for the next set of results that was returned as next\_token of a PaginationResponse |

> [accordion] PaginationResponse
>
> `gitpod.v1.PaginationResponse`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `nextToken` | string | No | Token passed for retrieving the next set of results. Empty if there are no more results |

> [accordion] SecurityPolicy
>
> `gitpod.v1.SecurityPolicy`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `id` | string | No | Constraints: `string.uuid=true`. |
> | `metadata` | [Metadata](#type-gitpod-v1-security-policy-metadata) | Yes | Constraints: `required=true`. |
> | `spec` | [Spec](#type-gitpod-v1-security-policy-spec) | Yes | Constraints: `required=true`. |
> | `organizationId` | string | No | Constraints: `string.uuid=true`. |
> | `createdAt` | RFC 3339 timestamp | No | |
> | `updatedAt` | RFC 3339 timestamp | No | |

> [accordion] Metadata
>
> `gitpod.v1.SecurityPolicy.Metadata`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `name` | string | No | Constraints: `string.max_len=80, string.min_len=1`. |

> [accordion] Spec
>
> `gitpod.v1.SecurityPolicy.Spec`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `ports` | PortPolicy | No | |
> | `executables` | ExecutablePolicy | No | executables is the public Veto Exec GA policy surface. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.